<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: PressureSensor.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_pressure_sensor_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PressureSensor.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_pressure_sensor_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef PRESSURESENSOR_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define PRESSURESENSOR_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;  <span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keyword">class </span>Matrix;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  }</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  <span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">class </span>Tab;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">class </span>TabWidget;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keyword">class </span>GroupBox;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keyword">class </span>Layout;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">class </span>DataPlot1D;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  }</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">namespace </span>sensor {</div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_pressure_sensor.html">   40</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html">PressureSensor</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> {</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html#a7d182425c5ff1f688fc454c22b4aafea">PressureSensor</a>(std::string name);</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html#a7d182425c5ff1f688fc454c22b4aafea">PressureSensor</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> *parent, std::string name);</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html#aaae06f33c400f46b6f385ef2f930b911">~PressureSensor</a>();</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html#a35a016871ee1e5968a745060cf316800">LockUserInterface</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html#a929ceee1b3095561c559586bc6b8aab5">UnlockUserInterface</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html#ad6a8802925c5768d9504d5174b01763c">UseDefaultPlot</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html#ac016c744fd8920289efba2859e52688a">GetPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_layout.html">gui::Layout</a> *<a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html#ad17dd045939b36d3299b1a796c9bbac7">GetLayout</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *<a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html#ab69deee8c478f61ff70cea97c1b438a9">GetPlotTab</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html#a6b0e89ad9e52d4693e17b02a4114f41f">Value</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_pressure_sensor.html#a4b5f87b5034879385ea5afee73893c50">  121</a></span>&#160;  <a class="code" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *<a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html#a4b5f87b5034879385ea5afee73893c50">output</a>;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_group_box.html">gui::GroupBox</a> *<a class="code" href="classflair_1_1sensor_1_1_pressure_sensor.html#a72c7b4e7a4e61e908fb21d3232b69443">GetGroupBox</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;  <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">core::io_data</a> *data){};</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *main_tab;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *tab;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_group_box.html">gui::GroupBox</a> *setup_groupbox;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *sensor_tab;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *plot;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *plot_tab;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;};</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="preprocessor">#endif // PRESSURESENSOR_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_pressure_sensor_html_ad6a8802925c5768d9504d5174b01763c"><div class="ttname"><a href="classflair_1_1sensor_1_1_pressure_sensor.html#ad6a8802925c5768d9504d5174b01763c">flair::sensor::PressureSensor::UseDefaultPlot</a></div><div class="ttdeci">void UseDefaultPlot(void)</div><div class="ttdoc">Use default plot. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_group_box_html"><div class="ttname"><a href="classflair_1_1gui_1_1_group_box.html">flair::gui::GroupBox</a></div><div class="ttdoc">Class displaying a QGroupBox on the ground station. </div><div class="ttdef"><b>Definition:</b> GroupBox.h:27</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_pressure_sensor_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_pressure_sensor.html">flair::sensor::PressureSensor</a></div><div class="ttdoc">Base class for PressureSensor. </div><div class="ttdef"><b>Definition:</b> PressureSensor.h:40</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_pressure_sensor_html_a6b0e89ad9e52d4693e17b02a4114f41f"><div class="ttname"><a href="classflair_1_1sensor_1_1_pressure_sensor.html#a6b0e89ad9e52d4693e17b02a4114f41f">flair::sensor::PressureSensor::Value</a></div><div class="ttdeci">float Value(void) const </div><div class="ttdoc">Value. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_pressure_sensor_html_a4b5f87b5034879385ea5afee73893c50"><div class="ttname"><a href="classflair_1_1sensor_1_1_pressure_sensor.html#a4b5f87b5034879385ea5afee73893c50">flair::sensor::PressureSensor::output</a></div><div class="ttdeci">core::Matrix * output</div><div class="ttdoc">Output matrix. </div><div class="ttdef"><b>Definition:</b> PressureSensor.h:121</div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_pressure_sensor_html_a35a016871ee1e5968a745060cf316800"><div class="ttname"><a href="classflair_1_1sensor_1_1_pressure_sensor.html#a35a016871ee1e5968a745060cf316800">flair::sensor::PressureSensor::LockUserInterface</a></div><div class="ttdeci">void LockUserInterface(void) const </div><div class="ttdoc">Lock user interface. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout.html">flair::gui::Layout</a></div><div class="ttdoc">Abstract class to display a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> Layout.h:33</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_pressure_sensor_html_a929ceee1b3095561c559586bc6b8aab5"><div class="ttname"><a href="classflair_1_1sensor_1_1_pressure_sensor.html#a929ceee1b3095561c559586bc6b8aab5">flair::sensor::PressureSensor::UnlockUserInterface</a></div><div class="ttdeci">void UnlockUserInterface(void) const </div><div class="ttdoc">Unlock user interface. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html">flair::gui::TabWidget</a></div><div class="ttdoc">Class displaying a QTabWidget on the ground station. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:29</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_pressure_sensor_html_ab69deee8c478f61ff70cea97c1b438a9"><div class="ttname"><a href="classflair_1_1sensor_1_1_pressure_sensor.html#ab69deee8c478f61ff70cea97c1b438a9">flair::sensor::PressureSensor::GetPlotTab</a></div><div class="ttdeci">gui::Tab * GetPlotTab(void) const </div><div class="ttdoc">Plot tab. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_pressure_sensor_html_ac016c744fd8920289efba2859e52688a"><div class="ttname"><a href="classflair_1_1sensor_1_1_pressure_sensor.html#ac016c744fd8920289efba2859e52688a">flair::sensor::PressureSensor::GetPlot</a></div><div class="ttdeci">gui::DataPlot1D * GetPlot(void) const </div><div class="ttdoc">Plot. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_pressure_sensor_html_a7d182425c5ff1f688fc454c22b4aafea"><div class="ttname"><a href="classflair_1_1sensor_1_1_pressure_sensor.html#a7d182425c5ff1f688fc454c22b4aafea">flair::sensor::PressureSensor::PressureSensor</a></div><div class="ttdeci">PressureSensor(std::string name)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_pressure_sensor_html_ad17dd045939b36d3299b1a796c9bbac7"><div class="ttname"><a href="classflair_1_1sensor_1_1_pressure_sensor.html#ad17dd045939b36d3299b1a796c9bbac7">flair::sensor::PressureSensor::GetLayout</a></div><div class="ttdeci">gui::Layout * GetLayout(void) const </div><div class="ttdoc">Setup Layout. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_matrix_html"><div class="ttname"><a href="classflair_1_1core_1_1_matrix.html">flair::core::Matrix</a></div><div class="ttdoc">Class defining a matrix. </div><div class="ttdef"><b>Definition:</b> Matrix.h:31</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_pressure_sensor_html_a72c7b4e7a4e61e908fb21d3232b69443"><div class="ttname"><a href="classflair_1_1sensor_1_1_pressure_sensor.html#a72c7b4e7a4e61e908fb21d3232b69443">flair::sensor::PressureSensor::GetGroupBox</a></div><div class="ttdeci">gui::GroupBox * GetGroupBox(void) const </div><div class="ttdoc">Setup GroupBox. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_pressure_sensor_html_aaae06f33c400f46b6f385ef2f930b911"><div class="ttname"><a href="classflair_1_1sensor_1_1_pressure_sensor.html#aaae06f33c400f46b6f385ef2f930b911">flair::sensor::PressureSensor::~PressureSensor</a></div><div class="ttdeci">~PressureSensor()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_data_plot1_d_html"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot1_d.html">flair::gui::DataPlot1D</a></div><div class="ttdoc">Class displaying a 1D plot on the ground station. </div><div class="ttdef"><b>Definition:</b> DataPlot1D.h:33</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab.html">flair::gui::Tab</a></div><div class="ttdoc">Class displaying a QTab on the ground station. </div><div class="ttdef"><b>Definition:</b> Tab.h:29</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_6e0f9c50eed172896c55a6e61952176b.html">FlairSensorActuator</a></li><li class="navelem"><a class="el" href="dir_c5d95abdcafe7d1171548eb561d7ce37.html">src</a></li><li class="navelem"><a class="el" href="_pressure_sensor_8h.html">PressureSensor.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
